This is a read-only archive. Find the latest Linux articles, documentation, and answers at the new Linux.com!

Linux.com

Encrypt volumes through a cross-platform GUI with TrueCrypt 5.0

Posted by: Anonymous [ip: 69.31.47.221] on March 14, 2008 01:08 PM
Truecrypt is a nice encryption app for openSuse and Ubuntu. For Debian and other Debian-based distributions, unless you're a guru, you may be out of luck. I tried compiling it for Etch. It failed. Found that I needed to update wxWidgets iirc. So I googled a bit and found how to do that. Updating wxWidgets broke Konserve (and who knows what else, I haven't figured out what else yet). Tried compiling again, and there was some error related to my 64 bit cpu (AMD). Out of range bounds or something similar iirc. Tried googling for this error and I either couldn't find anything or the procedure to fix it was too complicated for me to follow. So no TrueCrypt for me!



Is it that hard to provide a deb package for Debian? From what I recall reading on distro share, Debian and Debian based distros (compatible to Debian) have a far greater user base than non-compatible to Debian, Ubuntu.

#

Return to Encrypt volumes through a cross-platform GUI with TrueCrypt 5.0